Bug 457808 - Review Request: gwibber - An open source microblogging client for GNOME developed with Python and GTK
Review Request: gwibber - An open source microblogging client for GNOME devel...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 15:06 EDT by Ian Weller
Modified: 2010-09-29 14:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2008-08-04 15:06:24 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/gwibber/0.7-1.61bzr/gwibber.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/gwibber/0.7-1.61bzr/gwibber-0.7-1.61bzr.fc9.src.rpm

Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.
Comment 1 Parag AN(पराग) 2008-08-05 04:06:10 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=758674
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
debf3a59379f67bafc9a01d65562d784  gwibber-61bzr.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed successfully.
+ GUI App.
APPROVED.
Comment 2 Ian Weller 2008-08-05 12:46:16 EDT
New Package CVS Request
=======================
Package Name: gwibber
Short Description: An open source microblogging client for GNOME developed with Python and GTK
Owners: ianweller
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-08-06 13:42:21 EDT
cvs done.
Comment 4 Fedora Update System 2008-08-10 03:24:20 EDT
gwibber-0.7-2.61bzr.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-08-10 03:25:18 EDT
gwibber-0.7-2.61bzr.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-08-12 14:25:29 EDT
gwibber-0.7-2.61bzr.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7213
Comment 7 Fedora Update System 2008-08-12 14:26:43 EDT
gwibber-0.7-2.61bzr.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7229
Comment 8 Parag AN(पराग) 2008-09-04 00:23:25 EDT
any plans to push this to stable repository?
Comment 9 Ian Weller 2008-09-04 16:18:58 EDT
(In reply to comment #8)
> any plans to push this to stable repository?

Yes, after it becomes stable. I'm working with the developer on getting some major things fixed before I push it there. Hopefully it'll be looking good by F10.
Comment 10 Fedora Update System 2008-09-30 00:46:24 EDT
gwibber-0.7-5.102bzr.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gwibber-0.7-5.102bzr.fc9
Comment 11 Fedora Update System 2008-09-30 00:46:31 EDT
gwibber-0.7-5.102bzr.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/gwibber-0.7-5.102bzr.fc8
Comment 12 Fedora Update System 2008-10-01 02:35:11 EDT
gwibber-0.7-5.102bzr.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8466
Comment 13 Fedora Update System 2008-10-01 02:39:14 EDT
gwibber-0.7-5.102bzr.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8481
Comment 14 Fedora Update System 2008-10-30 08:53:17 EDT
gwibber-0.7-5.102bzr.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Tom Walker 2009-10-19 15:12:33 EDT
For anybody like me who has ended up at this page through trying to find a Gwibber RPM for Fedora 11, I'd like to point out that it can now be installed using yum:

# su
(enter root password)
# yum install gwibber

Maybe it's only me that was stupid enough not to try this first, but I thought I'd explicitly say so just in case.
Comment 16 Tom "spot" Callaway 2010-09-29 10:04:11 EDT
Package Change Request
======================
Package Name: gwibber
New Branches: el5 el6
Owners: spot
Comment 17 Kevin Fenzi 2010-09-29 14:35:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.